/* ============================================= */
/* CSS for control sap.ui.commons/Message.control */
/* ============================================= */
/************* Container *************/
.sapUiMsg {
	height: 18px;
	overflow: hidden;
	white-space: nowrap;
}

/************* Inner elements *************/
.sapUiMsgIcon,
.sapUiMsgLnk,
.sapUiMsgTxt {
	display: inline-block;
	height: 14px;
	line-height: 14px;
	vertical-align: middle;
}

/************* Icon *************/
.sapUiMsgIcon {
	padding: 0;
	width: 18px; /* "width" with "position:center" seems more stable then "padding"... */
}

.sapUiMsgIconError {
	background: url("img/messagebar/iconError.gif") no-repeat scroll center 0px transparent;
}

.sapUiMsgIconWarning {
	background: url("img/messagebar/iconWarning.gif") no-repeat scroll center 0px transparent;
}

.sapUiMsgIconSuccess {
	background: url("img/messagebar/iconSuccess.gif") no-repeat scroll center 0px transparent;
}

/************* Details link *************/
.sapUiMsgLnk {
	padding: 0 1px;
}

.sapUiMsgLnk .sapUiLnk {
	line-height: 14px;
/*  outline-style: none; Has to stay focusable for Details Popup to focus back onto it.*/
	vertical-align: 1px;
}

/************* Short Text *************/
.sapUiMsgTxt {
	color: @sapUiBaseText;
	padding: 0 1px;
}

/* Message Details within the Dialog: */
/* Can span more than 1 line, i.e. more than 14px. */
.sapUiDlg .sapUiMsg {
	height: auto;
	overflow: visible;
}

.sapUiDlg .sapUiMsgIcon {
	vertical-align: top;
}

.sapUiDlg .sapUiMsgTxt {
	height: auto;
	white-space: pre-wrap;
}